<div class="flex justify-between ">
  <h2 class="text-xl font-semibold mb-4 text-[#003F62]">Categories</h2>
  <button class="font-medium text-red-500" (click)="removeKey()">Reset</button>
</div>
<div class="grid grid-cols-2 lg:grid-cols-1 gap-4 sm:gap-10 lg:gap-2 py-4">
  <div>
    <label class="flex items-center mb-2">
      <!-- <input type="radio" name="category" class="form-radio h-5 w-5 text-blue-600" (change)="onCategoryChange('')"> -->
      <span (click)="changeKey('')" class="ml-2 cursor-pointer">All categories</span>
    </label>
    <label *ngFor="let category of categorys" class="flex items-center mb-2">
      <!-- <input type="radio" name="category" class="form-radio h-5 w-5 text-blue-600"
        (change)="onCategoryChange(category.id ? category.id.toString() : '')"> -->
      <span (click)="changeKey(category.id ? category.id.toString() : '')" class="ml-2 cursor-pointer">{{ category.name
        }}</span>
    </label>
  </div>
</div>
<div class="py-4 border-t">
  <label for="">Tìm kiếm</label>
  <input type="text" placeholder="Search products..." class="form-input mt-3 border-b block w-full"
    (input)="onSearchQueryChange($event)">
  <div class="relative">
  </div>